description

# FileSystemEntityType class Null safety

The type of an entity on the file system, such as a file, directory, or link.

These constants are used by the FileSystemEntity class to indicate the object's type.

## Properties

hashCode → int
  The hash code for this object. [...]
  read-only, inherited
runtimeType → Type
  A representation of the runtime type of the object.
  read-only, inherited

## Methods

noSuchMethod(Invocation invocation) → dynamic
  Invoked when a non-existent method or property is accessed. [...]
  inherited
toString() → String
  Returns a string representation of this object.
  override

## Operators

operator ==(Object other) → bool
  The equality operator. [...]
  inherited

## Constants

DIRECTORY → const FileSystemEntityType
  @Deprecated("Use directory instead")
  `directory`
directory → const FileSystemEntityType
  `const FileSystemEntityType._internal(1)`
FILE → const FileSystemEntityType
  @Deprecated("Use file instead")
  `file`
file → const FileSystemEntityType
  `const FileSystemEntityType._internal(0)`
LINK → const FileSystemEntityType
  @Deprecated("Use link instead")
  `link`
link → const FileSystemEntityType
  `const FileSystemEntityType._internal(2)`
NOT_FOUND → const FileSystemEntityType
  @Deprecated("Use notFound instead")
  `notFound`
notFound → const FileSystemEntityType
  `const FileSystemEntityType._internal(3)`